Pkg.bulid("FFTW")时候报错

Microsoft Windows [版版本本 6.1.7601]
版版权权所所有有 © 2009 Microsoft Corporation。。保留所有权利。。

C:\Windows\system32>julia
_
_ _ ()_ | Documentation: https://docs.julialang.org
() | () () |
_ _ | | __ _ | Type “?” for help, “]?” for Pkg help.
| | | | | | |/ ` | |
| | |
| | | | (
| | | Version 1.2.0 (2019-08-20)
/ |_|||_’_| | Official https://julialang.org/ release
|__/ |

julia> using Pkg

julia> Pkg.build(“FFTW”)
Building Conda →→ C:\Users\dell\.julia\packages\Conda\kLXeC\deps\build.log
Building FFTW ──→→ C:\Users\dell\.julia\packages\FFTW\MJ7kl\deps\build.log
┌┌ Error: Error building FFTW:
││ [ Info: Downloading https://github.com/JuliaBinaryWrappers/FFTW_jll.jl/releas
es/download/FFTW-v3.3.9+2/FFTW.v3.3.9.x86_64-w64-mingw32.tar.gz to C:\Users\dell
.julia\packages\FFTW\MJ7kl\deps\usr\downloads\FFTW.v3.3.9.x86_64-w64-mingw32.ta
r.gz…
││ ERROR: LoadError: LoadError: Could not download https://github.com/JuliaBinar
yWrappers/FFTW_jll.jl/releases/download/FFTW-v3.3.9+2/FFTW.v3.3.9.x86_64-w64-min
gw32.tar.gz to C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\usr\downloads\FFTW.
v3.3.9.x86_64-w64-mingw32.tar.gz:
││ ErrorException("")
││ Stacktrace:
││ [1] error(::String) at .\error.jl:33
││ [2] #download#93(::Bool, ::typeof(BinaryProvider.download), ::String, ::Stri
ng) at C:\Users\dell.julia\packages\BinaryProvider\TcAwt\src\PlatformEngines.jl
:498
││ [3] #download at .\none:0 [inlined]
││ [4] #download_verify#94(::Bool, ::Bool, ::Bool, ::typeof(download_verify), :
:String, ::String, ::String) at C:\Users\dell.julia\packages\BinaryProvider\TcA
wt\src\PlatformEngines.jl:567
││ [5] #download_verify at .\tuple.jl:0 [inlined]
││ [6] #install#133(::Prefix, ::String, ::Bool, ::Bool, ::Bool, ::typeof(instal
l), ::String, ::String) at C:\Users\dell.julia\packages\BinaryProvider\TcAwt\sr
c\Prefix.jl:314
││ [7] (::getfield(BinaryProvider, Symbol("#kw##install")))(::NamedTuple{(:pref
ix, :force, :verbose),Tuple{Prefix,Bool,Bool}}, ::typeof(install), ::String, ::S
tring) at .\tuple.jl:0
││ [8] top-level scope at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build_f
ftw.jl:45
││ [9] include at .\boot.jl:328 [inlined]
││ [10] include_relative(::Module, ::String) at .\loading.jl:1094
││ [11] include(::Module, ::String) at .\Base.jl:31
││ [12] include(::String) at .\client.jl:431
││ [13] top-level scope at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build.
jl:49
││ [14] include at .\boot.jl:328 [inlined]
││ [15] include_relative(::Module, ::String) at .\loading.jl:1094
││ [16] include(::Module, ::String) at .\Base.jl:31
││ [17] include(::String) at .\client.jl:431
││ [18] top-level scope at none:5
││ in expression starting at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build
fftw.jl:43
││ in expression starting at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build
.jl:20
││ caused by [exception 1]
││
││ Stacktrace:
││ [1] error() at .\error.jl:42
││ [2] #download#93(::Bool, ::typeof(BinaryProvider.download), ::String, ::Stri
ng) at C:\Users\dell.julia\packages\BinaryProvider\TcAwt\src\PlatformEngines.jl
:492
││ [3] #download at .\none:0 [inlined]
││ [4] #download_verify#94(::Bool, ::Bool, ::Bool, ::typeof(download_verify), :
:String, ::String, ::String) at C:\Users\dell.julia\packages\BinaryProvider\TcA
wt\src\PlatformEngines.jl:567
││ [5] #download_verify at .\tuple.jl:0 [inlined]
││ [6] #install#133(::Prefix, ::String, ::Bool, ::Bool, ::Bool, ::typeof(instal
l), ::String, ::String) at C:\Users\dell.julia\packages\BinaryProvider\TcAwt\sr
c\Prefix.jl:314
││ [7] (::getfield(BinaryProvider, Symbol("#kw##install")))(::NamedTuple{(:pref
ix, :force, :verbose),Tuple{Prefix,Bool,Bool}}, ::typeof(install), ::String, ::S
tring) at .\tuple.jl:0
││ [8] top-level scope at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build_f
ftw.jl:45
││ [9] include at .\boot.jl:328 [inlined]
││ [10] include_relative(::Module, ::String) at .\loading.jl:1094
││ [11] include(::Module, ::String) at .\Base.jl:31
││ [12] include(::String) at .\client.jl:431
││ [13] top-level scope at C:\Users\dell.julia\packages\FFTW\MJ7kl\deps\build.
jl:49
││ [14] include at .\boot.jl:328 [inlined]
││ [15] include_relative(::Module, ::String) at .\loading.jl:1094
││ [16] include(::Module, ::String) at .\Base.jl:31
││ [17] include(::String) at .\client.jl:431
││ [18] top-level scope at none:5
││ ���á�SecurityProtocol��ʱ�����쳣쳣:������ö��ֵ��ЧЧ���޷�����ֵת��Ϊ���͡�Syst
││ em.Net.SecurityProtocolType������ָ������ö��ֵ֮һ��Ȼ�����ԡ����ܵ�ö��ֵΪ��
││ Ssl3��Tls������
││ ����λλ�� ��:1 �ַ�: 35
││ + [System.Net.ServicePointManager]:: <<<< SecurityProtocol =
││ + CategoryInfo : InvalidOperation: (:slight_smile: [], RuntimeException
││ + FullyQualifiedErrorId : PropertyAssignmentException
││
││ ʹ�á�2���������á�DownloadFile��ʱ�����쳣쳣:����l���Ѿ��ر�: ����ʱ�����
││ ���
││ ����λλ�� ��:5 �ַ�: 24
││ + $webclient.DownloadFile <<<< ("https://github.com/JuliaBinaryWrappers/FFTW

jl
││ l.jl/releases/download/FFTW-v3.3.9+2/FFTW.v3.3.9.x86_64-w64-mingw32.tar.gz",
“C
││ :\Users\dell.julia\packages\FFTW\MJ7kl\deps\usr\downloads\FFTW.v3.3.9.x86_64
-w
││ 64-mingw32.tar.gz”)
││ + CategoryInfo : NotSpecified: (:slight_smile: [], MethodInvocationException

││ + FullyQualifiedErrorId : DotNetMethodException
││
└└ @ Pkg.Operations C:\cygwin\home\Administrator\buildbot\worker\package_win64\b
uild\usr\share\julia\stdlib\v1.2\Pkg\src\backwards_compatible_isolation.jl:647
false

基本上可以确定是网络原因导致的;一般是需要挂代理才行

安装FFMPEG也出现类似问题,浙大、中科大的镜像都试过还是包同样的错,还是从Github下载时找不到包。。。
Building FFMPEG → C:\Users\wsh\.julia\packages\FFMPEG\bkWgb\deps\build.log
┌ Error: Error building FFMPEG:
│ ERROR: LoadError: Could not download https://github.com/JuliaPackaging/Yggdrasil/releases/download/Bzip2-v1.0.6-2/build_Bzip2.v1.0.6.jl to C:\Users\wsh.julia\packages\FFMPEG\bkWgb\deps\build_Bzip2.v1.0.6.jl:
│ ErrorException("")

就是你的网不行,报错的这个文件我是可以下载的